import { css } from '@microsoft/fast-element';
export const PreviewComponentsStyles = css `
  :host {
    --badge-fill-primary: var(--accent-fill-rest);
    --badge-fill-neutral: var(--neutral-fill-rest);

    background: var(--fill-color);
    color: var(--neutral-foreground-rest);
    flex-direction: column;
    flex: 1;
  }

  .wrapper {
    background: var(--fill-color);
    display: flex;
  }

  .column {
    flex: 1;
    padding: calc(var(--base-horizontal-spacing-multiplier) * 3px);
  }

  .row {
    display: flex;
  }

  .padded {
    padding: calc(var(--base-horizontal-spacing-multiplier) * 3px) 0;
  }

  .row-padding {
    padding: 0 8px;
  }

  alpha-button,
  alpha-flipper {
    margin-right: calc(var(--base-horizontal-spacing-multiplier) * 2px);
  }

  alpha-progress-ring {
    margin: 0;
  }

  alpha-accordion,
  alpha-text-field {
    width: 100%;
  }

  zero-design-system-provider {
    display: inline;
  }

  rapid-card > rapid-card > rapid-card {
    background: var(--neutral-layer-1);
  }

  .horizontal-scroll {
    width: 400px;
    padding: calc(var(--base-horizontal-spacing-multiplier) * 3px);
  }

  .card-padding {
    padding: calc(var(--base-horizontal-spacing-multiplier) * 3px);
  }

  .flex-row {
    display: flex;
    align-items: center;
    gap: calc(var(--base-horizontal-spacing-multiplier) * 3px);
  }

  zero-dialog,
  zero-error-dialog,
  alpha-dialog,
  alpha-error-dialog,
  rapid-dialog {
    position: relative;
    z-index: 100;
  }

  .actions-menu-container {
    display: flex;
    flex: 1;
    height: 400px;
    justify-content: center;
  }

  .label {
    color: var(--neutral-foreground-hint);
    font-weight: 700;
    margin: calc(var(--design-unit) * 2px) 0;
  }

  .flex-column {
    display: flex;
    flex-direction: column;
  }
`;
